//
//  KeyboardScene.h
//  layer_keyboard
//
//  Created by Reza Ghobadinic on 2019-09-08.
//

#ifndef KeyboardScene_hpp
#define KeyboardScene_hpp

#include <chrono>
#include "cocos2d.h"

USING_NS_CC;

class KeyboardScene : public Layer
{
public:
    static Scene* createScene();
    virtual bool init();
    CREATE_FUNC(KeyboardScene);
    
    void update(float delta);
    
    virtual void onKeyPressed (EventKeyboard::KeyCode keyCode, Event* event);
    virtual void onKeyReleased(EventKeyboard::KeyCode keyCode, Event* event);
    
    std::map<EventKeyboard::KeyCode, std::chrono::system_clock::time_point> keys;
    
    float x, y;
};

#endif /* KeyboardScene_hpp */
